Name: ksymoops
Version: 2.4.11
Release: alt16

Summary: Kernel oops and error message decoder.
Group: System/Kernel and hardware
License: GPLv2
Url: ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4

Packager: Dmitry V. Levin <ldv@altlinux.org>

# %url/ksymoops-%version.tar.gz
Source: ksymoops-%version.tar
Patch1: ksymoops-2.4.7-alt-makefile-dynamic.patch
Patch2: ksymoops-2.4.7-alt-makefile-defaults.patch
Patch3: ksymoops-2.4.11-alt-warnings.patch

Provides: kernel-utils = %version
Obsoletes: kernel-utils

# Automatically added by buildreq on Fri Oct 18 2002
BuildRequires: libbfd-devel libiberty-devel

%description
The Linux kernel produces error messages that contain machine specific
numbers which are meaningless for debugging.  The ksymoops utility reads
machine specific files and the error log and converts the addresses to
meaningful symbols and offsets.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p2

%build
%make_build DEBUG="%optflags"

%install
install -pD -m755 ksymoops %buildroot%_sbindir/ksymoops
install -pD -m644 ksymoops.8 %buildroot%_man8dir/ksymoops.8

%files
%_sbindir/*
%_mandir/man?/*
%doc Changelog README*

%changelog
* Mon Jun 21 2010 Kirill A. Shutemov <kas@altlinux.org> 2.4.11-alt16
- Rebuild with libbfd-2.20.51.0.9-alt1.

* Fri Mar 26 2010 Kirill A. Shutemov <kas@altlinux.org> 2.4.11-alt15
- Rebuild with libbfd-2.20.51.0.7-alt1.

* Tue Dec 29 2009 Kirill A. Shutemov <kas@altlinux.org> 2.4.11-alt14
- Rebuild with libbfd-2.20.51.0.4-alt1.

* Tue Oct 27 2009 Kirill A. Shutemov <kas@altlinux.org> 2.4.11-alt13.1
- Rebuild with libbfd-2.20.51.0.2-alt1.

* Thu Aug 27 2009 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt13
- Rebuilt with libbfd-2.19.51.0.14.so.

* Fri May 01 2009 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt12
- Rebuilt with libbfd-2.19.51.0.2.so.

* Fri Nov 07 2008 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt11
- Rebuilt with libbfd-2.18.50.0.9-alt3.

* Tue Oct 21 2008 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt10
- Rebuilt.

* Fri Mar 23 2007 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt9
- Fixed compilation warnings.

* Tue Jan 23 2007 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt8
- Rebuilt with libbfd-2.17.50.0.6.

* Fri Aug 18 2006 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt7
- Rebuilt with libbfd-2.17.50.0.3.

* Mon May 29 2006 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt6
- Rebuilt with libbfd-2.17.50.0.2.

* Wed May 10 2006 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt5
- Rebuilt with libbfd-2.17.50.0.1.

* Thu Feb 16 2006 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt4
- Rebuilt with libbfd-2.16.91.0.6.

* Thu Jan 05 2006 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt3
- Rebuilt with libbfd-2.16.91.0.5.

* Mon Dec 05 2005 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt2
- Rebuilt with libbfd-2.16.91.0.3.

* Sat Feb 12 2005 Dmitry V. Levin <ldv@altlinux.org> 2.4.11-alt1
- Updated to 2.4.11.

* Tue Nov 02 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.4.9-alt2.1
- Rebuilt with binutils-2.15.92.0.2-alt1.

* Mon Apr 05 2004 Dmitry V. Levin <ldv@altlinux.org> 2.4.9-alt2
- Rebuilt with binutils-2.15.90.0.1.1.

* Tue Jun 03 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.9-alt1
- Updated to 2.4.9.

* Fri Oct 18 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.7-alt1
- 2.4.7, updated patches.

* Mon Aug 26 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.6-alt1
- 2.4.6

* Wed Apr 03 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.5-alt1
- 2.4.5

* Mon Sep 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.3-alt1
- 2.4.3

* Fri Aug 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.1-alt2
- Updated buildrequires.

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Mar 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.0-ipl3
- Rebuilt with binutils-2.11.90.0.1

* Fri Feb 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.0-ipl2
- Link dynamically with new libbfd.

* Mon Jan 22 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.0-ipl1
- 2.4.0

* Tue Jan 02 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.6-ipl1
- 2.3.6

* Tue Dec 19 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.5-ipl1
- Initial revision.
